.subckt presResistor d g s b W=1 L=1 Rsquare = 7.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 6.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 7.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt hanresResistor d g s b W=1 L=1 Rsquare = 6.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt hapresResistor d g s b W=1 L=1 Rsquare = 7.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 816
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 22.3
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt poly2Resistor d g s b W=1 L=1 Rsquare = 
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 82.4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 102.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.09
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.09
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.06
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt phrResistor d g s b W=1 L=1 Rsquare = 
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellFig1bResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal4Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal5Resistor d g s b W=1 L=1 Rsquare = 0.04
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metaliResistor d g s b W=1 L=1 Rsquare = 0
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellFig1bResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal4Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal5Resistor d g s b W=1 L=1 Rsquare = 0.04
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metaliResistor d g s b W=1 L=1 Rsquare = 0
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellFig1bResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal4Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal5Resistor d g s b W=1 L=1 Rsquare = 0.04
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metaliResistor d g s b W=1 L=1 Rsquare = 0
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellFig1bResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal4Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal5Resistor d g s b W=1 L=1 Rsquare = 0.04
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metaliResistor d g s b W=1 L=1 Rsquare = 0
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellFig1bResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal4Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal5Resistor d g s b W=1 L=1 Rsquare = 0.04
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metaliResistor d g s b W=1 L=1 Rsquare = 0
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellFig1bResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1067
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal4Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal5Resistor d g s b W=1 L=1 Rsquare = 0.04
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metaliResistor d g s b W=1 L=1 Rsquare = 0
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 4.6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 3.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1744
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 26.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt poly2Resistor d g s b W=1 L=1 Rsquare = 
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 57.3
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 78.8
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.05
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.03
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 2.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 2.8
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 2.4
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 6
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 3.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 2.8
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellFig1bResistor d g s b W=1 L=1 Rsquare = 929
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 929
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 7.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 6.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 7.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.08
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal4Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal5Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal6Resistor d g s b W=1 L=1 Rsquare = 0.04
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metaliResistor d g s b W=1 L=1 Rsquare = 0
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt presResistor d g s b W=1 L=1 Rsquare = 7.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt anresResistor d g s b W=1 L=1 Rsquare = 6.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt apresResistor d g s b W=1 L=1 Rsquare = 7.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt hanresResistor d g s b W=1 L=1 Rsquare = 6.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt hapresResistor d g s b W=1 L=1 Rsquare = 7.5
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellFig1bResistor d g s b W=1 L=1 Rsquare = 1017
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1017
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 8.1
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt poly2Resistor d g s b W=1 L=1 Rsquare = 
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 80.9
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 152.7
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal4Resistor d g s b W=1 L=1 Rsquare = 0.04
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1600
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 2.3
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.05
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1600
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 2.3
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.05
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1600
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 2.3
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.05
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1600
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 2.3
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.05
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1600
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 2.3
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.05
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt nwellResistor d g s b W=1 L=1 Rsquare = 1600
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt polyResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt ndiffResistor d g s b W=1 L=1 Rsquare = 2.3
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt pdiffResistor d g s b W=1 L=1 Rsquare = 2
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal1Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal2Resistor d g s b W=1 L=1 Rsquare = 0.07
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends

.subckt metal3Resistor d g s b W=1 L=1 Rsquare = 0.05
R       d s 'L*Rsquare/W'
Rg      d g 0
Rb      b 0 0
.ends
